Main Page glibmm Namespaces Book

# Glib::RWLock Class Reference
[Threads]

Inheritance diagram for Glib::RWLock:

[legend]

List of all members.

## Public Member Functions
| RWLock ()
| ~RWLock ()
## Classes
class | ReaderLock
| Utility class for exception-safe locking of read/write locks. More...
class | WriterLock
| Utility class for exception-safe locking of read/write locks. More...

## Constructor & Destructor Documentation

Glib::RWLock::RWLock | ( |  | ) |

Glib::RWLock::~RWLock | ( |  | ) |

The documentation for this class was generated from the following file:

- thread.h